commit:     d7d531e1253b0d676018cd061ba5f5ea68e02ea4
Author:     Jay Faulkner <jayf <AT> gentoo <DOT> org>
AuthorDate: Sat May 10 03:01:13 2025 +0000
Commit:     Jay Faulkner <jayf <AT> gentoo <DOT> org>
CommitDate: Sat May 10 03:01:13 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7d531e1

www-apps/hugo: add 0.147.2

Signed-off-by: Jay Faulkner <jayf <AT> gentoo.org>

 www-apps/hugo/Manifest            |   2 +
 www-apps/hugo/hugo-0.147.2.ebuild | 149 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 151 insertions(+)

diff --git a/www-apps/hugo/Manifest b/www-apps/hugo/Manifest
index a1e3775da441..5ceae5fec1ee 100644
--- a/www-apps/hugo/Manifest
+++ b/www-apps/hugo/Manifest
@@ -2,3 +2,5 @@ DIST hugo-0.131.0-vendor.tar.xz 6925652 BLAKE2B 
352cf39d95cf30ab502d91a816b151e2
 DIST hugo-0.131.0.tar.gz 20323531 BLAKE2B 
b88be13c6d1008a777114e5c0f42dac0277f37ba36ea601903f9a6e63b06fad3d847950aada082ad32dea544df54f1ad90c2ecbddebbcd70e73a74c416aebaf9
 SHA512 
53bb387bde6c6e92568036d06db1dfeaa9f897806f7f51cb4b9c3fd93026a41410ea61598370da79abb5df20e81b18616e3ec49e7cec1bb1e470d5035b594ef6
 DIST hugo-0.147.1-vendor.tar.xz 7665456 BLAKE2B 
517d47d59b51edf20191e1a3f37c4564937d92d5cb551d1a1058e9377ac5c5d2fbae903079725f5c19877e414e88d6302e7ef0c973df566469cc11ef1d39a1c9
 SHA512 
50b22f38e428121547101ceabea4180610868c5202fa5b5cf98ac7fec40eedd95e1618fafbfa3d1edb20c066bffa2f327999b193276d632dc16eef7dd8617c99
 DIST hugo-0.147.1.tar.gz 14599628 BLAKE2B 
be0c0e3461440024a2c1d2af518a22ece9e817919942649f76c61d5b10c991aa77aee57e72feb40586d8e0c3bc5cba255b7fb174359563bf2388af89553d850d
 SHA512 
57df355ee28f7ac2d4ad79898116af99604e6a34113ebb343c07c67e595590b36cbe79ed4d5817aa88d7988df7ca33493de62d8195134eade2ae35cd09a21f31
+DIST hugo-0.147.2-vendor.tar.xz 7665364 BLAKE2B 
7895807f7f7f6e8f86754472044fbe9f386f7aa17d1bfbe6bbd9be2d2d79ed1b3affa4d240e4a9a6090a8e709caba9df01625443c25f474a3d449349a799e880
 SHA512 
d427502b9216740ad590bee9f5af921aabaf231e0a7b38069af6c7344e6c0b5fd48e3c5f7f6b828bad2eb0b93b9c3b02c84e5ea3d8158c8ce35d80fcc86acbd1
+DIST hugo-0.147.2.tar.gz 14598107 BLAKE2B 
7580408c8ffe398f386cdd1ee4fe89e450a7aa203e07ec16bb5e05cb2c26b85d149a3cc415b3207875c82d10ca159b1534504ae1371aa84f77e72c7a72b11c37
 SHA512 
20eb35c48f2a35ff6fcbfc7f1ac4dae3253903535dfd7a4a8c92717de4b1e8fa7fd7d1ca97d2f03aa4ac266f78cb221a3fce0285f43f57d9b3be54c893f909ad

diff --git a/www-apps/hugo/hugo-0.147.2.ebuild 
b/www-apps/hugo/hugo-0.147.2.ebuild
new file mode 100644
index 000000000000..9b5110139468
--- /dev/null
+++ b/www-apps/hugo/hugo-0.147.2.ebuild
@@ -0,0 +1,149 @@
+# Copyright 2018-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs go-module shell-completion
+
+DESCRIPTION="Fast static HTML and CSS website generator"
+HOMEPAGE="https://gohugo.io https://github.com/gohugoio/hugo";
+SRC_URI="
+       https://github.com/gohugoio/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz
+       https://dev.gentoo.org/~jayf/dist/${P}-vendor.tar.xz
+"
+
+# NOTE: To create the vendor tarball, run:
+# `go mod vendor && cd .. && tar -caf ${P}-vendor.tar.xz ${P}/vendor`
+
+LICENSE="Apache-2.0 BSD BSD-2 MIT MPL-2.0 Unlicense"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~riscv ~x86"
+IUSE="+deploy doc +extended test"
+
+BDEPEND="
+       test? (
+               dev-python/docutils
+               dev-ruby/asciidoctor
+       )
+"
+RDEPEND="
+       extended? (
+               dev-libs/libsass:=
+               >=media-libs/libwebp-1.3.2:=
+       )
+"
+DEPEND="${RDEPEND}"
+
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="deploy? ( extended )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.121.0-unbundle-libwebp-and-libsass.patch
+)
+
+_check_reqs() {
+       if [[ ${MERGE_TYPE} == binary ]] ; then
+               return 0
+       fi
+
+       if has test ${FEATURES}; then
+               CHECKREQS_DISK_BUILD="4G"
+       else
+               CHECKREQS_DISK_BUILD="1500M"
+       fi
+       check-reqs_${EBUILD_PHASE_FUNC}
+}
+
+pkg_pretend() {
+       _check_reqs
+}
+
+pkg_setup() {
+       _check_reqs
+}
+
+src_configure() {
+       if use extended; then
+               if use deploy; then
+                       # per 5dd0ba00f79d5888c8d6d05d3327a74d15073a7b 
(upstream) this is
+                       # the way to build fully extended with deploy support
+                       export MY_BUILD_FLAGS="-tags extended,withdeploy"
+               else
+                       export MY_BUILD_FLAGS="-tags extended"
+               fi
+       else
+               export MY_BUILD_FLAGS=""
+       fi
+
+       export CGO_ENABLED=1
+       export CGO_CFLAGS="${CFLAGS}"
+       export CGO_CPPFLAGS="${CPPFLAGS}"
+       export CGO_CXXFLAGS="${CXXFLAGS}"
+       export CGO_LDFLAGS="${LDFLAGS}"
+
+       default
+}
+
+src_prepare() {
+       # wants to run command that require network access
+       rm 
testscripts/commands/mod{,_vendor,__disable,_get,_get_u,_npm{,_withexisting}}.txt
 || die
+
+       # NOTE(JayF): Avoiding a hard depednency on sass tooling for tests. 
Even if
+       # installed, the tests still don't quite work.
+       rm 
resources/resource_transformers/tocss/dartsass/dartsass_integration_test.go || 
die
+
+       # TODO(JayF): Over half of the tests in these modules require network, 
and it's
+       # extremely likely more remote-depending tests will be added in the 
future.
+       # Ideally, we'd be less blunt in how we disable these tests.
+       rm tpl/tplimpl/shortcodes_integration_test.go || die
+       rm resources/resource_factories/create/create_integration_test.go || die
+       rm modules/client_test.go || die
+
+       # NOTE(JayF): Tests depend on reaching out to npm registry
+       rm internal/js/esbuild/batch_integration_test.go || die
+
+       default
+}
+
+src_compile() {
+       mkdir -pv bin || die
+       ego build -ldflags "-X 
github.com/gohugoio/hugo/common/hugo.vendorInfo=gentoo:${PVR}" \
+               ${MY_BUILD_FLAGS} -o "${S}/bin/hugo"
+
+       bin/hugo gen man --dir man || die
+
+       mkdir -pv completions || die
+       bin/hugo completion bash > completions/hugo || die
+       bin/hugo completion fish > completions/hugo.fish || die
+       bin/hugo completion zsh > completions/_hugo || die
+
+       if use doc ; then
+               bin/hugo gen doc --dir doc || die
+       fi
+}
+
+src_test() {
+       if ! has_version -b virtual/pandoc ; then
+               elog "You're missing virtual/pandoc - some tests will be 
skipped."
+       fi
+
+       if ! has_version -b dev-ruby/asciidoctor ; then
+               elog "You're missing dev-ruby/asciidoctor - some tests will be 
skipped."
+       fi
+
+       ego test "./..." ${MY_BUILD_FLAGS}
+}
+
+src_install() {
+       dobin bin/*
+       doman man/*
+
+       dobashcomp completions/${PN}
+       dofishcomp completions/${PN}.fish
+       dozshcomp completions/_${PN}
+
+       if use doc ; then
+               dodoc -r doc/*
+       fi
+}

Reply via email to